from ajax_select.lookup_channel import LookupChannel
from ajax_select.registry import register

from taxonomies.models import Term


@register('tags')
class TagsLookup(LookupChannel):
    model = Term

    def __init__(self):
        self._query = ''
        super().__init__()

    def get_query(self, q, request):
        self._query = q
        q = q.split(',')[-1].strip()
        if q == '':
            return self.model.objects.none()
        return self.model.objects.filter(
            taxonomy__name='tags'
        ).filter(name__istartswith=q)

    def format_match(self, obj):
        return obj.name

    def get_result(self, obj):
        if ',' not in self._query:
            return obj.name
        q = self._query.rsplit(',', 1)[0].strip()
        return q + ', ' + obj.name
